/*** Copyright: OGIHARA Takeshi, Nov. 2012 ***/

#import <Foundation/NSObject.h>
#import "coval.h"
#import "covalbridge.h"
#import "coeffs.h"
#define  AppName    @"Quadratic"

@class NSWindow, NSNotification, NSObjectController;
@class Solver;

typedef CovalBridgeOf(double, double)  coef_bridge;


@interface FunctionCtrl : NSObject
{
    NSWindow        *window;
    coef_bridge     cov_a, cov_b, cov_c;
    coeffs_coval_t  model_cov; 
    Solver          *sol;
}

- (void)dealloc;
- (void)reset:(id)sender;

/* Application Delegate Message */
- (void)applicationDidFinishLaunching:(NSNotification *)note;
@end
