/*** Copyright: OGIHARA Takeshi, Jan. 2011 ***/

#import <Foundation/Foundation.h>
#import <AppKit/NSView.h>
#import "coeffs.h"
#define XY_MAX      12

@class NSImage;

@interface QuadraticView : NSView
{
    coeffs_coval_t coefficients;
    NSImage *cache;
    NSMutableArray *gridArray;
}
- (id)initWithFrame:(NSRect)rect;
- (void)dealloc;
- (void)setCoefficients:(coeffs)vals;
- (coeffs_coval_t *)covalOfCoefficients;
- (void)drawRect:(NSRect)aRect;
- (void)moveGraph:(NSPoint)d;
- (void)mouseDown:(NSEvent *)event;

@end
